SDL_free(3)

NAME
SDL_free - Free allocated memory.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

void SDL_free(void *mem);

DESCRIPTION
The pointer is no longer valid after this call and cannot be dereferenced anymore.

If mem is NULL, this function does nothing.

FUNCTION PARAMETERS

mem a pointer to allocated memory, or NULL.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_malloc(3), SDL_calloc(3), SDL_realloc(3)